﻿using System;
using System.IdentityModel.Services;

namespace DotNetSamples.WebApp
{
    public class Global : System.Web.HttpApplication
    {
        protected void Application_Start(object sender, EventArgs e)
        {
            // Registrer event handler
            FederatedAuthentication.WSFederationAuthenticationModule.RedirectingToIdentityProvider += WSFederationAuthenticationModule_RedirectingToIdentityProvider;
        }

        void WSFederationAuthenticationModule_RedirectingToIdentityProvider(object sender, RedirectingToIdentityProviderEventArgs e)
        {
            // Populer sign in request'et med whr-parameteren
            e.SignInRequestMessage.HomeRealm = Request.QueryString["whr"];
        }
    }
}